package org.eclipse.hyades.execution.core;

/** 
 * 
 * A ExecutionComponentStateException is thrown by any IExecutionComponent
 * operation that occurs when the IExecutionComponent is not in the correct
 * state to support the current operation.
 * 
 * @author rduggan
 * @version 0.0.2
 */
public class ExecutionComponentStateException extends RuntimeException {
	
	private int state;
	
	/** 
	 * 
	 * @param state The state of the exception 
	 */
	public ExecutionComponentStateException(int state) {
		this.state=state;
	}
	
	/** 
	 * @return The state of the exception
	 */
	public int getState() {
		return state;
	}

}
