package org.eclipse.hyades.execution.core;

/**
 * This interface is a placeholder contract between the IExecutor and any
 * class that uses it.  Any class that uses an IExecutor to execute something
 * must pass an object implementing the IExecutableObject interface to the
 * IExecutor.setExecutableObject method.  As commonality among different types
 * of executable objects is discovered, this interface will be refactored to
 * represent that commonality.
 *   
 * @author jtoomey
 * @version 0.0.2
 */
public interface IExecutableObject {
	
	/**
	 * @return the name of the IExecutableObject. 
	 */
	public String getName();
	
}
