package org.eclipse.hyades.execution.core;

/**
 * This interface defines a factory for IExecutionComponents.  The mechanism by 
 * which this factory is extended to support multiple implementations of the 
 * same execution component type has not yet been resolved.
 * 
 * @author jtoomey
 * @version 0.0.2
 */
public interface IExecutionComponentFactory {
	
	/**
	 * @param type The type of execution component to create
	 * @return IExecutionComponent The created IExecutionComponent
	 */
	IExecutionComponent createExecutionComponentByType(String type);

}
