package org.eclipse.hyades.execution.core;

/**
 *
 * A IOrderedProperty is a property that may have many ordered values.
 * 
 * @author rduggan
 * @version 0.0.2
 */
public interface IOrderedProperty {
	
	/**
	 * Sets the name of the property
	 * @param name The name of the property
	 */
	public void setName(String name);
	
	/**
	 * Gets the name of the property
	 * @return The name of the property
	 */
	public String getName();
	
	/**
	 * Appends a value to a property's value list.
	 * @param value The value to append
	 */
	public void appendValue(Object value);
	
	/**
	 * Prepend a value to a property's value list.
	 * @param value The value to prepend
	 */
	public void prependValue(Object value);
	
	/**
	 * Retrieve the ordered list of values.
	 * @return Object[] the current value(s).
	 */
	public Object[] getValues();
	
	/**
	 * Clears a propery. 
	 * @return Object[] the previously set value(s).
	 */
	public Object[] clear();
	

}
